Which devices are compatible with the PNP mobile app?

The PNP application works on Android 5.0 and up, and on iOS 11 and up. You'll always want to make sure that the PNP app is up to date.

Any device versions earlier than this cannot be guaranteed to run the PNP app without crashing or other issues. However, you should always be able to use our website, portablenorthpole.com.

If you're running a device and version that should be working and are still running into trouble, please contact the elves HERE, with as many details as you can:
- Are you on Android or iOS and what version
- What is your device
- A screenshot of the problem

Powered by Zendesk